#include "../include/TTY.h"

namespace environment {
namespace tty {

  std::ostream& operator<< (std::ostream& output, TTY & x)
  {
    output << "<" << x.name << ">" << std::endl
	   << " * nb_tty : " << x.param->nb_tty << std::endl;
    
    for (uint32_t i=0; i<x.param->nb_tty; i++)
      output << "   * tty ["<< i << "] : " << x.param->name_tty[i] << std::endl;

    return output;
  }

};
};
